Bug 154044 - [PATCH] update x11-toolkits/open-motif to latest version
Summary: [PATCH] update x11-toolkits/open-motif to latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-16 00:00 UTC by m.tsatsenko
Modified: 2011-05-02 13:56 UTC (History)
0 users

See Also:


Attachments
file.diff (24.16 KB, patch)
2011-01-16 00:00 UTC, m.tsatsenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.tsatsenko 2011-01-16 00:00:29 UTC
- Update port to the recent version
- Drop md5 sum
- Remove needles patches (integrated upstream)
- Claim mainteinership

Fix: Use the patch attached.
Note: shared lib version has bumped, so all depending ports must be rebuild (version bump?). I also had to edit /usr/ports/Mk/bsd.port.mk to reflect current libXm.so version.

Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2011-03-12 15:51:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 Max Brazhnikov freebsd_committer 2011-03-12 19:18:51 UTC
Responsible Changed
From-To: makc->portmgr

exp run is required. Please use the following patch: 
http://people.freebsd.org/~makc/patches/openmotif-20110312.patch
Comment 3 Mikhail T. 2011-03-16 09:00:42 UTC
I also ask to change maintainer address from <michael at fun-box.ru> to 
m.tsatsenko@gmail.com (in order to avoid spam).
Thanks!
Comment 4 Pav Lucistnik freebsd_committer 2011-03-20 19:20:30 UTC
Responsible Changed
From-To: portmgr->pav

Take for exp-run
Comment 5 Pav Lucistnik freebsd_committer 2011-03-22 18:38:33 UTC
Responsible Changed
From-To: pav->makc

A lot of very similar libiconv related problems: 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/CaribbeanStud-1.0_2.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/SciPlot-1.36_2.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/Xbae-4.60.4.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/asedit-1.3.2_3.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/ashe-1.3_2.log 
... 

Another failures: 

http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/mgv-3.1.5_2.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/ncbi-toolkit-2009.03.01.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/nedit-5.5_2.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/praat-4.6.39_2.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/sge-6.0.12_4.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/sge-6.1.4_3.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/sge-6.2.2.1_2.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/xemacs-21.4.22_4.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/xephem-3.7.4_2.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/xinvest-2.6.9_2.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/xshisen-1.51_2.log 
http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110320231612/xzx-4.6_2.log
Comment 6 m.tsatsenko 2011-04-11 20:48:27 UTC
Hello!
I have found out that configure error in following ports occurs only
under tinderbox:
print/mgv
biology/ncbi-toolkit
I have installed a local tinderbox and got the same error. But in real
system (8.2 amd64/i386, 9.0 amd64) both ports builds fine for me.
Need advice how to debug the problem.
Also note that I don't have anymore @fun-box.ru  mail account, my
address now is  m.tsatsenko at gmail.com.
Comment 7 Max Brazhnikov freebsd_committer 2011-04-15 21:19:13 UTC
Responsible Changed
From-To: makc->portmgr

Please one more exp-run with new patch: 
http://people.freebsd.org/~makc/patches/openmotif-20110415.patch
Comment 8 Pav Lucistnik freebsd_committer 2011-04-18 22:30:23 UTC
Responsible Changed
From-To: portmgr->pav

Take for a spin
Comment 9 Pav Lucistnik freebsd_committer 2011-04-20 21:21:47 UTC
Responsible Changed
From-To: pav->makc

Completed with singular failure: 

http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110418213048/xemacs-devel-mule-21.5.b28_11.log
Comment 10 m.tsatsenko 2011-04-26 23:31:31 UTC
It seems to me that xft dependency is now mandatory (with newer
open-motif) for editors/xemacs-devel-mule port (open-motif itself
anyway depends on it). And I think there is no more reason in keeping
separate editors/xemacs-devel-mule-xft port.
Comment 11 dfilter service freebsd_committer 2011-05-02 13:40:48 UTC
makc        2011-05-02 12:40:24 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.port.mk 
    x11-toolkits/open-motif Makefile Makefile.man distinfo 
                            pkg-plist 
    x11-toolkits/open-motif/files patch-Makefile.in 
                                  patch-clients::mwm::Makefile.in 
                                  patch-demos::programs::Makefile.in 
                                  patch-doc::man::Makefile.in 
                                  patch-doc::man::man5::Makefile.in 
                                  patch-lib::Xm::ColorS.c 
                                  patch-ltmain.sh 
  Added files:
    x11-toolkits/open-motif/files patch-clients__uil__UilDefI.h 
  Removed files:
    x11-toolkits/open-motif/files patch-lib::Mrm::MrmItop.c 
                                  patch-security-1 
  Log:
  Update open-motif to 2.3.3
  Remove needles patches (integrated upstream)
  Pass maintainership to submitter
  
  PR:             ports/154044
  Submitted by:   Mikhail Tsatsenko <m.tsatsenko at gmail.com>
  Exp-runs by:    pav
  
  Revision  Changes    Path
  1.680     +2 -2      ports/Mk/bsd.port.mk
  1.52      +11 -10    ports/x11-toolkits/open-motif/Makefile
  1.5       +125 -9    ports/x11-toolkits/open-motif/Makefile.man
  1.7       +2 -3      ports/x11-toolkits/open-motif/distinfo
  1.3       +9 -9      ports/x11-toolkits/open-motif/files/patch-Makefile.in
  1.3       +9 -10     ports/x11-toolkits/open-motif/files/patch-clients::mwm::Makefile.in
  1.1       +11 -0     ports/x11-toolkits/open-motif/files/patch-clients__uil__UilDefI.h (new)
  1.3       +10 -11    ports/x11-toolkits/open-motif/files/patch-demos::programs::Makefile.in
  1.2       +9 -9      ports/x11-toolkits/open-motif/files/patch-doc::man::Makefile.in
  1.3       +10 -10    ports/x11-toolkits/open-motif/files/patch-doc::man::man5::Makefile.in
  1.2       +0 -16     ports/x11-toolkits/open-motif/files/patch-lib::Mrm::MrmItop.c (dead)
  1.2       +17 -17    ports/x11-toolkits/open-motif/files/patch-lib::Xm::ColorS.c
  1.3       +6 -6      ports/x11-toolkits/open-motif/files/patch-ltmain.sh
  1.2       +0 -186    ports/x11-toolkits/open-motif/files/patch-security-1 (dead)
  1.17      +6 -4      ports/x11-toolkits/open-motif/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter service freebsd_committer 2011-05-02 13:42:00 UTC
makc        2011-05-02 12:41:44 UTC

  FreeBSD ports repository

  Modified files:
    astro/xephem         Makefile 
    astro/xephem/files   patch-Makefile 
    audio/praat          Makefile 
    audio/praat/files    
                         patch-makefiles_makefile.defs.freebsd.dynamic 
    biology/ncbi-toolkit Makefile 
    editors/xemacs-devel-mule Makefile 
    finance/xinvest      Makefile 
    sysutils/sge60       Makefile 
    sysutils/sge60/files patch-aimk 
    sysutils/sge61       Makefile 
    sysutils/sge61/files patch-aimk 
    sysutils/sge62       Makefile 
    sysutils/sge62/files patch-aimk 
  Added files:
    biology/ncbi-toolkit/files patch-make-makeall.unx 
                               patch-make-makenet.unx 
    finance/xinvest/files patch-Imakefile 
  Log:
  Fix build with open-motif-2.3.3
  
  PR:             ports/154044
  Submitted by:   Mikhail Tsatsenko <m.tsatsenko at gmail.com>
  Exp-runs by:    pav
  
  Revision  Changes    Path
  1.59      +1 -1      ports/astro/xephem/Makefile
  1.3       +8 -6      ports/astro/xephem/files/patch-Makefile
  1.8       +1 -1      ports/audio/praat/Makefile
  1.4       +1 -1      ports/audio/praat/files/patch-makefiles_makefile.defs.freebsd.dynamic
  1.29      +1 -7      ports/biology/ncbi-toolkit/Makefile
  1.1       +13 -0     ports/biology/ncbi-toolkit/files/patch-make-makeall.unx (new)
  1.1       +58 -0     ports/biology/ncbi-toolkit/files/patch-make-makenet.unx (new)
  1.77      +14 -19    ports/editors/xemacs-devel-mule/Makefile
  1.24      +1 -1      ports/finance/xinvest/Makefile
  1.1       +12 -0     ports/finance/xinvest/files/patch-Imakefile (new)
  1.44      +1 -1      ports/sysutils/sge60/Makefile
  1.8       +2 -2      ports/sysutils/sge60/files/patch-aimk
  1.47      +1 -1      ports/sysutils/sge61/Makefile
  1.10      +2 -2      ports/sysutils/sge61/files/patch-aimk
  1.52      +1 -1      ports/sysutils/sge62/Makefile
  1.13      +2 -2      ports/sysutils/sge62/files/patch-aimk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Max Brazhnikov freebsd_committer 2011-05-02 13:56:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!